package com.company.jmixbarcodereport.entity;

import io.jmix.core.FileRef;
import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.UUID;

@JmixEntity
@Table(name = "BARCODE_ENTITY")
@Entity
public class BarcodeEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "BARCODE", length = 1024)
    private FileRef barcode;

    @Column(name = "BARCODE_TEXT")
    private String barcodeText;

    public String getBarcodeText() {
        return barcodeText;
    }

    public void setBarcodeText(String barcodeText) {
        this.barcodeText = barcodeText;
    }

    public FileRef getBarcode() {
        return barcode;
    }

    public void setBarcode(FileRef barcode) {
        this.barcode = barcode;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}